Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## de.jstacs.sequenceScores.statisticalModels.trainable.hmm.models
Enum SamplingHigherOrderHMM.ViterbiComputation

    java.lang.Object
      java.lang.Enum<SamplingHigherOrderHMM.ViterbiComputation>
          de.jstacs.sequenceScores.statisticalModels.trainable.hmm.models.SamplingHigherOrderHMM.ViterbiComputation

All Implemented Interfaces:
  Serializable, Comparable<SamplingHigherOrderHMM.ViterbiComputation>

Enclosing class:
  SamplingHigherOrderHMM

    public static enum SamplingHigherOrderHMM.ViterbiComputation

extends Enum<SamplingHigherOrderHMM.ViterbiComputation>

Emumeration of all possible Viterbi-Path methods

Enum Constant Summary
`MAX` standard viterbi path
`MAX_AND_SAMPLING` best of standard viterbi path and sampled path
`MAX_AND_SAMPLING_GAMMA` best of standard viterbi path and sampled path scored with gamma score (independent from parameters)
`MAX_GAMMA` standard viterbi with gamma scoring (independent from parameters)
`SAMPLING` draw paths and score with standard viterbi score
`SAMPLING_GAMMA` draw paths and score with gamma score (independent from parameters)

Method Summary
`static SamplingHigherOrderHMM.ViterbiComputation` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static SamplingHigherOrderHMM.ViterbiComputation[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### MAX

    public static final SamplingHigherOrderHMM.ViterbiComputation MAX

  standard viterbi path

### MAX_GAMMA

    public static final SamplingHigherOrderHMM.ViterbiComputation MAX_GAMMA

  standard viterbi with gamma scoring (independent from parameters)

### SAMPLING

    public static final SamplingHigherOrderHMM.ViterbiComputation SAMPLING

  draw paths and score with standard viterbi score

### SAMPLING_GAMMA

    public static final SamplingHigherOrderHMM.ViterbiComputation SAMPLING_GAMMA

  draw paths and score with gamma score (independent from parameters)

### MAX_AND_SAMPLING

    public static final SamplingHigherOrderHMM.ViterbiComputation MAX_AND_SAMPLING

  best of standard viterbi path and sampled path

### MAX_AND_SAMPLING_GAMMA

    public static final SamplingHigherOrderHMM.ViterbiComputation MAX_AND_SAMPLING_GAMMA

  best of standard viterbi path and sampled path scored with gamma score (independent from parameters)

Method Detail

### values

    public static SamplingHigherOrderHMM.ViterbiComputation[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (SamplingHigherOrderHMM.ViterbiComputation c : SamplingHigherOrderHMM.ViterbiComputation.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static SamplingHigherOrderHMM.ViterbiComputation valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD